from Soti.IoT.SemanticEngine.Conversions import Converter

print("Loading GenericToZebraSNMPMediaSensor Converter")

class GenericToZebraSNMPMediaSensor(Converter):
	def Execute(self, myList=[], *args):
		res = 1
		if myList[0] == "None":
			res = 1
		elif myList[0] == "Gap":
			res = 2
		elif myList[0] == "Mark":
			res = 3
		return res




plugin = GenericToZebraSNMPMediaSensor("GenericToZebraSNMPMediaSensor")

store.AddConverter(plugin)